%{?drupal7_find_provides_and_requires}

%global module module_filter

Name:          drupal7-%{module}
Version:       2.1
Release:       1%{?dist}
Summary:       Module filter gives the ability to quickly find the module

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

# phpcompatinfo (computed from version 2.1)
Requires:      php-pcre

%description
The modules list page can become quite big when dealing with a fairly large site
or even just a dev site meant for testing new
and various modules being considered.
What this module aims to accomplish is the ability to quickly find the module
you are looking for without having to rely on the browsers search feature
which more times than not shows you the module name in the 'Required by'
or 'Depends on' sections of the various modules
or even some other location on the page like a menu item.

This package provides the following Drupal module(s):
* %{module}


%prep
%setup -qn %{module}

: Licenses and docs
mkdir -p .rpm/{licenses,docs}
mv LICENSE.txt .rpm/licenses/
mv *.txt .rpm/docs/


%build
# Empty build section, nothing to build


%install
mkdir -p %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license .rpm/licenses/*
%doc .rpm/docs/*
%{drupal7_modules}/%{module}


%changelog
* Sun Jul 02 2017 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.1-1
- Update to 2.1 (RHBZ #1460405)
- Removed RPM README as it just described standard Drupal practices
- %%license usage

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 12 2015 Jared Smith <jsmith@fedoraproject.org> 2.0-1
- Update to upstream 2.0 release for bug fixes
- Upstream changelog at https://www.drupal.org/node/2431395

* Wed May 28 2014 Peter Borsa <peter.borsa@gmail.com> 2.0-0.1.alpha2
- Initial package
